[Unit]
Description=Flower - Celery monitoring tool
After=network.target
Requires=celery-stage.service

[Service]
Type=simple
User=poizon
Group=poizon
EnvironmentFile=/etc/default/celery-stage
EnvironmentFile=/var/www/poizonstore-stage/.env
WorkingDirectory=/var/www/poizonstore-stage
RuntimeDirectory=celery

ExecStart=/bin/sh -c '${CELERY_BIN} -A ${CELERY_APP} --workdir=${APP_HOME} flower --port=5556 --url_prefix=/flower'
Restart=on-failure

[Install]
WantedBy=multi-user.target